package com.gx.obe.common.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.listener.ActionListener;

public class BroswerComposite extends Composite {

	private ActionListener topActionListener;
	private Browser browser;
	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public BroswerComposite(Composite parent, int style) {
		super(parent, style);
		GridLayout gridLayout = new GridLayout(1, false);
		gridLayout.verticalSpacing = 0;
		gridLayout.horizontalSpacing = 0;
		gridLayout.marginHeight = 0;
		gridLayout.marginWidth = 0;
		setLayout(gridLayout);
		browser = new Browser(this, SWT.NONE);
		browser.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
	}
	
	private void init(){
	}
	public boolean setUrl(String url){
		return browser.setUrl(url);
	} 

	public void addTopActionListener(ActionListener topActionListener){
		this.topActionListener = topActionListener;
	}

	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}

}
