package com.gx.obe.common.composite;

import java.util.List;

import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.entity.price.BidPrice;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public interface IEvaluationPriceTable {

	public void refreshEvaluationPrice(TenderProjectEntity tenderProjectEntity, TenderProjectRuleEntity tenderProjectRuleEntity, List<Supplier> supplierList, List<BidPrice> bidPriceList, boolean editable);
	
	public boolean saveEvaluationPrice();
	
	public void editBidPriceAction();
}
