package com.gx.obe.common.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.ESepator;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import com.gx.obe.ColorConstants;
import com.gx.obe.util.utils.ScreenUtils;
import com.swtdesigner.SWTResourceManager;

public class SupplierEvaluationFactorComposite extends Composite {
	private Text text;
	private ScreenUtils  util = new ScreenUtils();
	private Label indexLabel;
	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public SupplierEvaluationFactorComposite(Composite parent, int style , int index) {
		super(parent, style);
		setLayout(new GridLayout(1, false));
		Composite composite_4 = new Composite(this, SWT.NONE);
		composite_4.setBackground(SWTResourceManager.getColor(SWT.COLOR_WIDGET_BACKGROUND));
		composite_4.setLayout(new GridLayout(1, false));
		GridData gd_composite_4 = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
		gd_composite_4.widthHint = 700;
		composite_4.setLayoutData(gd_composite_4);
		Composite composite = new Composite(composite_4, SWT.NONE);
		composite.setLayout(new GridLayout(2, false));
		composite.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Composite composite_5 = new Composite(composite, SWT.NONE);
		composite_5.setLayout(new GridLayout(1, false));
		composite_5.setBackground(SWTResourceManager.getColor(255, 153, 51));
//		Label label_4 = new Label(composite, SWT.NONE);
//		label_4.setFont(SWTResourceManager.getFont("微软雅黑", 14, SWT.NORMAL));
//		label_4.setText(index + "");
//		
		indexLabel = new Label(composite_5, SWT.NONE);
		indexLabel.setAlignment(SWT.CENTER);
		indexLabel.setFont(SWTResourceManager.getFont("微软雅黑", 12, SWT.BOLD));
		indexLabel.setForeground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
//		label_1.setBackground(SWTResourceManager.getColor(255, 153, 51));
		indexLabel.setText(index + "");
		
		
		
		Label label = new Label(composite, SWT.NONE);
		label.setAlignment(SWT.CENTER);
		label.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		label.setText("供应商名称");
		
		ESepator fact_tab = new ESepator(composite_4, SWT.NONE);
		fact_tab.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 5, 1));
		fact_tab.setLineWidth(2);
		fact_tab.setBackground(ColorConstants.SKIN_BG);
		
		Composite composite_1 = new Composite(composite_4, SWT.NONE);
		composite_1.setLayout(new GridLayout(2, false));
		composite_1.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Label label_1 = new Label(composite_1, SWT.NONE);
		label_1.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
		label_1.setText("指标响应内容：");
		
		Text label_2 = new Text(composite_1, SWT.WRAP | SWT.H_SCROLL | SWT.MULTI);
		label_2.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		GridData gd_label_2 = new GridData(SWT.FILL, SWT.FILL, true, false, 1, 1);
		gd_label_2.heightHint = 100;
		label_2.setLayoutData(gd_label_2);
		label_2.setText("这一阶段的任务就是把常量池中的符号引用转换为直接引用。那么什么是符号引用，什么又是直接引用呢？我们来举个例子：我们要找一个人，我们现有的信息是这个人的身份证号是1234567890。只有这个信息我们显然找不到这个人，但是通过公安局的身份系统，我们输入1234567890这个号之后，就会得到它的全部信息：比如山东省滨州市滨城区18号张三，通过这个信息我们就能找到这个人了。");
		ESepator fact_tab1 = new ESepator(composite_4, SWT.NONE);
		fact_tab1.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 5, 1));
		fact_tab1.setLineWidth(2);
		fact_tab1.setBackground(ColorConstants.SKIN_BG);
		
		Composite composite_2 = new Composite(composite_4, SWT.NONE);
		composite_2.setLayout(new GridLayout(2, false));
		composite_2.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Button button = new Button(composite_2, SWT.RADIO);
		button.setText("符合");
		
		Button button_1 = new Button(composite_2, SWT.RADIO);
		button_1.setText("不符合");
		ESepator fact_tab2 = new ESepator(composite_4, SWT.NONE);
		fact_tab2.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 5, 1));
		fact_tab2.setLineWidth(2);
		fact_tab2.setBackground(ColorConstants.SKIN_BG);
		
		Composite composite_3 = new Composite(composite_4, SWT.NONE);
		composite_3.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false, 1, 1));
		composite_3.setLayout(new GridLayout(2, false));
		
		Label label_3 = new Label(composite_3, SWT.NONE);
		label_3.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
		label_3.setText("指标评审意见：");
		text = new Text(composite_3, SWT.WRAP | SWT.V_SCROLL | SWT.MULTI);
		text.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		GridData gd_text = new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1);
		gd_text.heightHint = 100;
		text.setLayoutData(gd_text);
		gd_text.heightHint = 100;
		text.setLayoutData(gd_text);
		ESepator fact_tab3 = new ESepator(composite_4, SWT.NONE);
		fact_tab3.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 5, 1));
		fact_tab3.setLineWidth(2);
		fact_tab3.setBackground(ColorConstants.SKIN_BG);
		
		
		

	}

	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}
}
